Bug 537133 - Openswan FIPS-140 work blocked by AVCs
Openswan FIPS-140 work blocked by AVCs
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.4
All Linux
urgent Severity medium
: rc
: ---
Assigned To: Daniel Walsh
BaseOS QE Security Team
: ZStream
Depends On:
Blocks: 538452
  Show dependency treegraph
 
Reported: 2009-11-12 11:12 EST by Steve Grubb
Modified: 2012-10-15 10:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 03:49:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
avcs collected (2.50 KB, text/plain)
2009-11-12 11:12 EST, Steve Grubb
no flags Details

  None (edit)
Description Steve Grubb 2009-11-12 11:12:58 EST
Created attachment 369246 [details]
avcs collected

Description of problem:
When testing openswan as part of the FIPS-140 cert, we are getting AVCs which cause the intergrity check to fail, which in turn causes pluto to not start during system boot.

Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.4.6-236.el5

How reproducible:
always

Steps to Reproduce:
1. setup openswan
2. boot system
3. ausearch --start recent -m avc
  
Additional info:
This is blocking the FIPS-140 cert and we will need a z-stream release for 5.4.z.
Comment 1 Daniel Walsh 2009-11-12 11:59:23 EST
Fixed for a while in selinux-policy-2.4.6-264.el5

Preview available on http://people.redhat.com/dwalsh/SELinux/RHEL5
Comment 10 errata-xmlrpc 2010-03-30 03:49:03 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0182.html

Note You need to log in before you can comment on or make changes to this bug.